scala.reflect.api.Scopes

# MemberScope

###
Related Doc: package Scopes

#### abstract type MemberScope >: Null <: Universe.MemberScopeApi with Universe.Scope

The type of member scopes, as in class definitions, for example.

Source
  Scopes.scala

Linear Supertypes
Universe.<refinement>, Universe.MemberScopeApi, Universe.ScopeApi, collection.Iterable[Universe.Symbol], IterableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]], Equals, GenIterable[Universe.Symbol], GenIterableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]], collection.Traversable[Universe.Symbol], GenTraversable[Universe.Symbol], GenericTraversableTemplate[Universe.Symbol, collection.Iterable], TraversableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]], GenTraversableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]], Parallelizable[Universe.Symbol, ParIterable[Universe.Symbol]], collection.TraversableOnce[Universe.Symbol], GenTraversableOnce[Universe.Symbol], FilterMonadic[Universe.Symbol, collection.Iterable[Universe.Symbol]], HasNewBuilder[Universe.Symbol, collection.Iterable[Universe.Symbol]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MemberScope
2. <refinement>
3. MemberScopeApi
4. ScopeApi
5. Iterable
6. IterableLike
7. Equals
8. GenIterable
9. GenIterableLike
10. Traversable
11. GenTraversable
12. GenericTraversableTemplate
13. TraversableLike
14. GenTraversableLike
15. Parallelizable
16. TraversableOnce
17. GenTraversableOnce
18. FilterMonadic
19. HasNewBuilder
20. AnyRef
21. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Self = Repr

   Attributes
     protected[this]
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   Definition Classes
     TraversableLike

### Abstract Value Members

1. #### abstract def iterator: collection.Iterator[A]

   Definition Classes
     IterableLike → GenIterableLike

2. #### abstract def sorted: List[Universe.Symbol]

   Sorts the symbols included in this scope so that: 1) Symbols appear in the linearization order of their owners.

   Sorts the symbols included in this scope so that: 1) Symbols appear in the linearization order of their owners. 2) Symbols with the same owner appear in same order of their declarations. 3) Synthetic members (e.g. getters/setters for vals/vars) might appear in arbitrary order.

   Definition Classes
     MemberScopeApi

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

   Definition Classes
     TraversableLike → GenTraversableLike

4. #### def ++:[B >: A, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

   Definition Classes
     TraversableLike

5. #### def ++:[B >: A, That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

   Definition Classes
     TraversableLike

6. #### def /:[B](z: B)(op: (B, A) ⇒ B): B

   Definition Classes
     TraversableOnce → GenTraversableOnce

7. #### def :\[B](z: B)(op: (A, B) ⇒ B): B

   Definition Classes
     TraversableOnce → GenTraversableOnce

8. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

9. #### def addString(b: StringBuilder): StringBuilder

   Definition Classes
     TraversableOnce

10. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Definition Classes
      TraversableOnce

11. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Definition Classes
      TraversableOnce

12. #### def aggregate[B](z: ⇒ B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

14. #### def canEqual(that: Any): Boolean

    Definition Classes
      IterableLike → Equals

15. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

16. #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[Repr, B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike

17. #### def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Definition Classes
      TraversableOnce

18. #### def companion: GenericCompanion[collection.Iterable]

    Definition Classes
      Iterable → GenIterable → Traversable → GenTraversable → GenericTraversableTemplate

19. #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

20. #### def copyToArray[B >: A](xs: Array[B]): Unit

    Definition Classes
      TraversableOnce → GenTraversableOnce

21. #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

    Definition Classes
      TraversableOnce → GenTraversableOnce

22. #### def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Definition Classes
      TraversableOnce

23. #### def count(p: (A) ⇒ Boolean): Int

    Definition Classes
      TraversableOnce → GenTraversableOnce

24. #### def drop(n: Int): Repr

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

25. #### def dropRight(n: Int): Repr

    Definition Classes
      IterableLike

26. #### def dropWhile(p: (A) ⇒ Boolean): Repr

    Definition Classes
      TraversableLike → GenTraversableLike

27. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

28. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

29. #### def exists(p: (A) ⇒ Boolean): Boolean

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

30. #### def filter(p: (A) ⇒ Boolean): Repr

    Definition Classes
      TraversableLike → GenTraversableLike

31. #### def filterNot(p: (A) ⇒ Boolean): Repr

    Definition Classes
      TraversableLike → GenTraversableLike

32. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

33. #### def find(p: (A) ⇒ Boolean): Option[A]

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

34. #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

35. #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): CC[B]

    Definition Classes
      GenericTraversableTemplate

36. #### def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Definition Classes
      TraversableOnce → GenTraversableOnce

37. #### def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

38. #### def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

39. #### def forall(p: (A) ⇒ Boolean): Boolean

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

40. #### def foreach[U](f: (A) ⇒ U): Unit

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

41. #### def genericBuilder[B]: Builder[B, CC[B]]

    Definition Classes
      GenericTraversableTemplate

42. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

43. #### def groupBy[K](f: (A) ⇒ K): Map[K, Repr]

    Definition Classes
      TraversableLike → GenTraversableLike

44. #### def grouped(size: Int): collection.Iterator[Repr]

    Definition Classes
      IterableLike

45. #### def hasDefiniteSize: Boolean

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

46. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

47. #### def head: A

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

48. #### def headOption: Option[A]

    Definition Classes
      TraversableLike → GenTraversableLike

49. #### def init: Repr

    Definition Classes
      TraversableLike → GenTraversableLike

50. #### def inits: collection.Iterator[Repr]

    Definition Classes
      TraversableLike

51. #### def isEmpty: Boolean

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

52. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

53. #### final def isTraversableAgain: Boolean

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

54. #### def last: A

    Definition Classes
      TraversableLike → GenTraversableLike

55. #### def lastOption: Option[A]

    Definition Classes
      TraversableLike → GenTraversableLike

56. #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

57. #### def max[B >: A](implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

58. #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

59. #### def min[B >: A](implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

60. #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

61. #### def mkString: String

    Definition Classes
      TraversableOnce → GenTraversableOnce

62. #### def mkString(sep: String): String

    Definition Classes
      TraversableOnce → GenTraversableOnce

63. #### def mkString(start: String, sep: String, end: String): String

    Definition Classes
      TraversableOnce → GenTraversableOnce

64. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

65. #### def newBuilder: Builder[A, CC[A]]

    Attributes
      protected[this]
    Definition Classes
      GenericTraversableTemplate → HasNewBuilder

66. #### def nonEmpty: Boolean

    Definition Classes
      TraversableOnce → GenTraversableOnce

67. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

68. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

69. #### def par: ParRepr

    Definition Classes
      Parallelizable

70. #### def parCombiner: Combiner[A, ParIterable[A]]

    Attributes
      protected[this]
    Definition Classes
      TraversableLike → Parallelizable

71. #### def partition(p: (A) ⇒ Boolean): (Repr, Repr)

    Definition Classes
      TraversableLike → GenTraversableLike

72. #### def product[B >: A](implicit num: Numeric[B]): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

73. #### def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

    Definition Classes
      TraversableOnce → GenTraversableOnce

74. #### def reduceLeft[B >: A](op: (B, A) ⇒ B): B

    Definition Classes
      TraversableOnce

75. #### def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

    Definition Classes
      TraversableOnce → GenTraversableOnce

76. #### def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

    Definition Classes
      TraversableOnce → GenTraversableOnce

77. #### def reduceRight[B >: A](op: (A, B) ⇒ B): B

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

78. #### def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

    Definition Classes
      TraversableOnce → GenTraversableOnce

79. #### def repr: Repr

    Definition Classes
      TraversableLike → GenTraversableLike

80. #### def reversed: List[A]

    Attributes
      protected[this]
    Definition Classes
      TraversableOnce

81. #### def sameElements[B >: A](that: GenIterable[B]): Boolean

    Definition Classes
      IterableLike → GenIterableLike

82. #### def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Repr, B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike

83. #### def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike

84. #### def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

85. #### def seq: collection.Iterable[A]

    Definition Classes
      Iterable → GenIterable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

86. #### def size: Int

    Definition Classes
      TraversableOnce → GenTraversableOnce

87. #### def slice(from: Int, until: Int): Repr

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

88. #### def sliding(size: Int, step: Int): collection.Iterator[Repr]

    Definition Classes
      IterableLike

89. #### def sliding(size: Int): collection.Iterator[Repr]

    Definition Classes
      IterableLike

90. #### def span(p: (A) ⇒ Boolean): (Repr, Repr)

    Definition Classes
      TraversableLike → GenTraversableLike

91. #### def splitAt(n: Int): (Repr, Repr)

    Definition Classes
      TraversableLike → GenTraversableLike

92. #### def stringPrefix: String

    Definition Classes
      TraversableLike → GenTraversableLike

93. #### def sum[B >: A](implicit num: Numeric[B]): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

94. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

95. #### def tail: Repr

    Definition Classes
      TraversableLike → GenTraversableLike

96. #### def tails: collection.Iterator[Repr]

    Definition Classes
      TraversableLike

97. #### def take(n: Int): Repr

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

98. #### def takeRight(n: Int): Repr

    Definition Classes
      IterableLike

99. #### def takeWhile(p: (A) ⇒ Boolean): Repr

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

100. #### def thisCollection: collection.Iterable[A]

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

101. #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A @scala.annotation.unchecked.uncheckedVariance]]): Col[A @scala.annotation.unchecked.uncheckedVariance]

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

102. #### def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]

     Definition Classes
       TraversableOnce → GenTraversableOnce

103. #### def toBuffer[B >: A]: Buffer[B]

     Definition Classes
       TraversableOnce → GenTraversableOnce

104. #### def toCollection(repr: Repr): collection.Iterable[A]

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

105. #### def toIndexedSeq: collection.immutable.IndexedSeq[A]

     Definition Classes
       TraversableOnce → GenTraversableOnce

106. #### def toIterable: collection.Iterable[A]

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

107. #### def toIterator: collection.Iterator[A]

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

108. #### def toList: List[A]

     Definition Classes
       TraversableOnce → GenTraversableOnce

109. #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): Map[T, U]

     Definition Classes
       TraversableOnce → GenTraversableOnce

110. #### def toSeq: collection.Seq[A]

     Definition Classes
       TraversableOnce → GenTraversableOnce

111. #### def toSet[B >: A]: Set[B]

     Definition Classes
       TraversableOnce → GenTraversableOnce

112. #### def toStream: collection.immutable.Stream[A]

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

113. #### def toString(): String

     Returns a string representation of the object.

     Returns a string representation of the object.

     The default representation is platform dependent.

     returns

       a string representation of the object.

     Definition Classes
       TraversableLike → Any

114. #### def toTraversable: collection.Traversable[A]

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

115. #### def toVector: Vector[A]

     Definition Classes
       TraversableOnce → GenTraversableOnce

116. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): CC[CC[B] @scala.annotation.unchecked.uncheckedVariance]

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

117. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (CC[A1], CC[A2])

     Definition Classes
       GenericTraversableTemplate

118. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (CC[A1], CC[A2], CC[A3])

     Definition Classes
       GenericTraversableTemplate

119. #### def view(from: Int, until: Int): IterableView[A, Repr]

     Definition Classes
       IterableLike → TraversableLike

120. #### def view: IterableView[A, Repr]

     Definition Classes
       IterableLike → TraversableLike

121. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

122. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

123. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

124. #### def withFilter(p: (A) ⇒ Boolean): FilterMonadic[A, Repr]

     Definition Classes
       TraversableLike → FilterMonadic

125. #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[Repr, (A1, B), That]): That

     Definition Classes
       IterableLike → GenIterableLike

126. #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[Repr, (A1, B), That]): That

     Definition Classes
       IterableLike → GenIterableLike

127. #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[Repr, (A1, Int), That]): That

     Definition Classes
       IterableLike → GenIterableLike

### Inherited from Universe.<refinement>

### Inherited from Universe.MemberScopeApi

### Inherited from Universe.ScopeApi

### Inherited from collection.Iterable[Universe.Symbol]

### Inherited from IterableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]]

### Inherited from Equals

### Inherited from GenIterable[Universe.Symbol]

### Inherited from GenIterableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]]

### Inherited from collection.Traversable[Universe.Symbol]

### Inherited from GenTraversable[Universe.Symbol]

### Inherited from GenericTraversableTemplate[Universe.Symbol, collection.Iterable]

### Inherited from TraversableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]]

### Inherited from GenTraversableLike[Universe.Symbol, collection.Iterable[Universe.Symbol]]

### Inherited from Parallelizable[Universe.Symbol, ParIterable[Universe.Symbol]]

### Inherited from collection.TraversableOnce[Universe.Symbol]

### Inherited from GenTraversableOnce[Universe.Symbol]

### Inherited from FilterMonadic[Universe.Symbol, collection.Iterable[Universe.Symbol]]

### Inherited from HasNewBuilder[Universe.Symbol, collection.Iterable[Universe.Symbol]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped